cereal::tuple_detail::tuple_element_name< T > Struct Template Reference

Generates a c string for a given index of a tuple. More...

`#include </home/shane/workspace/cereal/include/cereal/types/tuple.hpp>`

## Public Types

using | type = typename to_string_impl< T/10, T%10 >::type

## Static Public Member Functions

static const type::arr_type | c_str ()

## Detailed Description

### template<size_t T>
struct cereal::tuple_detail::tuple_element_name< T >

Generates a c string for a given index of a tuple.

Example use:

tuple_element_name<3>::c_str();// returns "tuple_element3"

The documentation for this struct was generated from the following file:

- /home/shane/workspace/cereal/include/cereal/types/tuple.hpp